Bug 1316475 - If some functionality is not supported then OData should return status code 501 instead of 500
If some functionality is not supported then OData should return status code 5...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:58 EST by Juraj Duráni
Modified: 2016-08-24 07:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:47:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4043 Major Resolved If some functionality is not supported then OData should return status code 501 instead of 500 2016-12-14 10:01 EST

  None (edit)
Comment 1 JBoss JIRA Server 2016-03-15 18:48:30 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4043 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-21 12:57:52 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4043 to Resolved
Comment 3 Juraj Duráni 2016-05-25 09:12:22 EDT
Options $level and $search in $expand return 501. Other functionality implemented.

Verified.

Note You need to log in before you can comment on or make changes to this bug.